
package Net::DashCS::Typemaps::EmergencyProvisioningService;
use strict;
use warnings;

our $typemap_1 = {
               'addPinCodeResponse' => 'Net::DashCS::Elements::addPinCodeResponse',
               'validateLocation/location/latitude' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'addLocation/location/legacydata/predirectional' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationHistoryByURIResponse/ProvisionedLocations/status/code' => 'Net::DashCS::Types::locationStatusCode',
               'removeLocationResponse' => 'Net::DashCS::Elements::removeLocationResponse',
               'validateLocation/location/locationid' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getLocationsByURIResponse/Locations/legacydata' => 'Net::DashCS::Types::legacyLocationData',
               'validateLocationResponse/Location/status' => 'Net::DashCS::Types::locationStatus',
               'addLocation/location/status/code' => 'Net::DashCS::Types::locationStatusCode',
               'getProvisionedLocationByURI' => 'Net::DashCS::Elements::getProvisionedLocationByURI',
               'getProvisionedLocationByURI/uri' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'removeURIResponse/URIStatus/code' => 'Net::DashCS::Types::uriStatusCode',
               'addLocation/location/plusfour' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addLocationResponse/Location/locationid' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'validateLocation/location' => 'Net::DashCS::Types::location',
               'getLocationsByURIResponse/Locations' => 'Net::DashCS::Types::location',
               'validateLocationResponse' => 'Net::DashCS::Elements::validateLocationResponse',
               'getProvisionedLocationHistoryByURIResponse/ProvisionedLocations/status/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addLocation/location/activatedtime' => 'SOAP::WSDL::XSD::Typelib::Builtin::dateTime',
               'getURIsResponse/URIs' => 'Net::DashCS::Types::urIs',
               'getProvisionedLocationHistoryByURIResponse/ProvisionedLocations/community' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getLocationsByURIResponse/Locations/legacydata/predirectional' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'validateLocation/location/longitude' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getProvisionedLocationHistoryByURIResponse/ProvisionedLocations/longitude' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'addLocation/location/address2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getAuthenticationCheckResponse' => 'Net::DashCS::Elements::getAuthenticationCheckResponse',
               'removeLocation' => 'Net::DashCS::Elements::removeLocation',
               'provisionLocationResponse/LocationStatus/code' => 'Net::DashCS::Types::locationStatusCode',
               'addLocation/location/legacydata/housenumber' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'LockedException' => 'Net::DashCS::Elements::LockedException',
               'addLocation/location/community' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getLocationsByURIResponse/Locations/longitude' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'validateLocationResponse/Location/legacydata' => 'Net::DashCS::Types::legacyLocationData',
               'getLocationsByURIResponse/Locations/locationid' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addLocationResponse/Location/callername' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationHistoryByURIResponse/ProvisionedLocations/legacydata/suite' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationHistoryByURIResponse/ProvisionedLocations/type' => 'Net::DashCS::Types::locationType',
               'getProvisionedLocationHistoryByURIResponse' => 'Net::DashCS::Elements::getProvisionedLocationHistoryByURIResponse',
               'validateLocation/location/status/code' => 'Net::DashCS::Types::locationStatusCode',
               'validateLocation/location/customerorderid' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationHistoryByURIResponse/ProvisionedLocations/status' => 'Net::DashCS::Types::locationStatus',
               'getLocationsByURIResponse/Locations/address1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationByURIResponse/Location' => 'Net::DashCS::Types::location',
               'removeLocation/locationid' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationByURIResponse/Location/address1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getURIs' => 'Net::DashCS::Elements::getURIs',
               'getProvisionedLocationByURIResponse/Location/legacydata/housenumber' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addLocationResponse/Location/type' => 'Net::DashCS::Types::locationType',
               'validateLocationResponse/Location/customerorderid' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getLocationsByURIResponse/Locations/legacydata/suite' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'validateLocationResponse/Location/latitude' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'addLocation/location/state' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'validateLocationResponse/Location/callername' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addPinCode/uri' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationByURIResponse' => 'Net::DashCS::Elements::getProvisionedLocationByURIResponse',
               'getLocationsByURIResponse/Locations/state' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationHistoryByURIResponse/ProvisionedLocations' => 'Net::DashCS::Types::location',
               'validateLocationResponse/Location/comments' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'validateLocation/location/legacydata/predirectional' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationByURIResponse/Location/legacydata' => 'Net::DashCS::Types::legacyLocationData',
               'addLocationResponse/Location/legacydata/suite' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationByURIResponse/Location/comments' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'removeURIResponse/URIStatus/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addLocation/location/customerorderid' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'removeLocationResponse/LocationStatus/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationHistoryByURIResponse/ProvisionedLocations/postalcode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationHistoryByURIResponse/ProvisionedLocations/legacydata' => 'Net::DashCS::Types::legacyLocationData',
               'addLocationResponse/Location/legacydata/predirectional' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'validateLocation' => 'Net::DashCS::Elements::validateLocation',
               'getProvisionedLocationHistoryByURI' => 'Net::DashCS::Elements::getProvisionedLocationHistoryByURI',
               'validateLocationResponse/Location/status/code' => 'Net::DashCS::Types::locationStatusCode',
               'NotFoundException' => 'Net::DashCS::Elements::NotFoundException',
               'addLocation/location/legacydata/suite' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationByURIResponse/Location/type' => 'Net::DashCS::Types::locationType',
               'validateLocation/location/legacydata/suite' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationByURIResponse/Location/postalcode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getLocationsByURIResponse/Locations/latitude' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getLocationsByURIResponse/Locations/legacydata/streetname' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationHistoryByURIResponse/ProvisionedLocations/callername' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'validateLocationResponse/Location/plusfour' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationByURIResponse/Location/updatetime' => 'SOAP::WSDL::XSD::Typelib::Builtin::dateTime',
               'getProvisionedLocationByURIResponse/Location/latitude' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'addLocation/location/postalcode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addLocationResponse/Location/longitude' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'removeURIResponse' => 'Net::DashCS::Elements::removeURIResponse',
               'getURIsResponse/URIs/uris' => 'Net::DashCS::Types::uri',
               'getLocationsByURI/uri' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'validateLocation/location/status' => 'Net::DashCS::Types::locationStatus',
               'getProvisionedLocationHistoryByURIResponse/ProvisionedLocations/legacydata/predirectional' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault' => 'SOAP::WSDL::SOAP::Typelib::Fault11',
               'validateLocationResponse/Location/legacydata/suite' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addLocationResponse/Location/status/code' => 'Net::DashCS::Types::locationStatusCode',
               'validateLocationResponse/Location/state' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/faultactor' => 'SOAP::WSDL::XSD::Typelib::Builtin::token',
               'addLocation' => 'Net::DashCS::Elements::addLocation',
               'validateLocationResponse/Location/locationid' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'validateLocation/location/postalcode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationByURIResponse/Location/status/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'validateLocation/location/updatetime' => 'SOAP::WSDL::XSD::Typelib::Builtin::dateTime',
               'addLocation/uri/callername' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addLocationResponse' => 'Net::DashCS::Elements::addLocationResponse',
               'addLocation/location/comments' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getLocationsByURIResponse/Locations/customerorderid' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addLocationResponse/Location/customerorderid' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addLocationResponse/Location/latitude' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getProvisionedLocationByURIResponse/Location/plusfour' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationHistoryByURI/uri' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'validateLocation/location/state' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationByURIResponse/Location/community' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'validateLocationResponse/Location/longitude' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'validateLocationResponse/Location/type' => 'Net::DashCS::Types::locationType',
               'removeLocationResponse/LocationStatus' => 'Net::DashCS::Types::locationStatus',
               'validateLocation/location/callername' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getLocationsByURIResponse/Locations/comments' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'removeURIResponse/URIStatus' => 'Net::DashCS::Types::uriStatus',
               'Fault/faultcode' => 'SOAP::WSDL::XSD::Typelib::Builtin::anyURI',
               'getProvisionedLocationByURIResponse/Location/activatedtime' => 'SOAP::WSDL::XSD::Typelib::Builtin::dateTime',
               'addLocationResponse/Location/updatetime' => 'SOAP::WSDL::XSD::Typelib::Builtin::dateTime',
               'removeLocationResponse/LocationStatus/code' => 'Net::DashCS::Types::locationStatusCode',
               'removeURI/uri' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getLocationsByURIResponse' => 'Net::DashCS::Elements::getLocationsByURIResponse',
               'getProvisionedLocationHistoryByURIResponse/ProvisionedLocations/legacydata/housenumber' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'validateLocationResponse/Location/updatetime' => 'SOAP::WSDL::XSD::Typelib::Builtin::dateTime',
               'validateLocation/location/legacydata' => 'Net::DashCS::Types::legacyLocationData',
               'validateLocationResponse/Location/status/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationByURIResponse/Location/status' => 'Net::DashCS::Types::locationStatus',
               'getProvisionedLocationByURIResponse/Location/state' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getURIsResponse' => 'Net::DashCS::Elements::getURIsResponse',
               'addLocationResponse/Location/address1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addPinCode/pincode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'provisionLocation/locationid' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getAuthenticationCheckResponse/AuthValid' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'validateLocation/location/activatedtime' => 'SOAP::WSDL::XSD::Typelib::Builtin::dateTime',
               'getProvisionedLocationHistoryByURIResponse/ProvisionedLocations/state' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationByURIResponse/Location/status/code' => 'Net::DashCS::Types::locationStatusCode',
               'getURIsResponse/URIs/uris/uri' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationByURIResponse/Location/address2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getLocationsByURIResponse/Locations/community' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addPinCodeResponse/Result' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'addLocation/location/legacydata' => 'Net::DashCS::Types::legacyLocationData',
               'getProvisionedLocationByURIResponse/Location/locationid' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getLocationsByURIResponse/Locations/postalcode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addLocation/location/type' => 'Net::DashCS::Types::locationType',
               'getProvisionedLocationHistoryByURIResponse/ProvisionedLocations/latitude' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'ParseException' => 'Net::DashCS::Elements::ParseException',
               'addLocationResponse/Location/state' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/faultstring' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addLocationResponse/Location' => 'Net::DashCS::Types::location',
               'validateLocation/location/address2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addLocation/location/updatetime' => 'SOAP::WSDL::XSD::Typelib::Builtin::dateTime',
               'validateLocation/location/address1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addLocation/location/address1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'validateLocation/location/comments' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationHistoryByURIResponse/ProvisionedLocations/customerorderid' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getLocationsByURI' => 'Net::DashCS::Elements::getLocationsByURI',
               'provisionLocationResponse' => 'Net::DashCS::Elements::provisionLocationResponse',
               'addLocationResponse/Location/comments' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'validateLocation/location/legacydata/streetname' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'provisionLocationResponse/LocationStatus' => 'Net::DashCS::Types::locationStatus',
               'addLocation/location/legacydata/streetname' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addLocation/location/callername' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'validateLocationResponse/Location/legacydata/streetname' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'validateLocation/location/legacydata/housenumber' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addPinCode' => 'Net::DashCS::Elements::addPinCode',
               'validateLocation/location/type' => 'Net::DashCS::Types::locationType',
               'getLocationsByURIResponse/Locations/status' => 'Net::DashCS::Types::locationStatus',
               'getProvisionedLocationHistoryByURIResponse/ProvisionedLocations/locationid' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addLocation/location' => 'Net::DashCS::Types::location',
               'addLocationResponse/Location/postalcode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'validateLocationResponse/Location/address1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getLocationsByURIResponse/Locations/status/code' => 'Net::DashCS::Types::locationStatusCode',
               'addLocationResponse/Location/community' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationHistoryByURIResponse/ProvisionedLocations/updatetime' => 'SOAP::WSDL::XSD::Typelib::Builtin::dateTime',
               'getProvisionedLocationByURIResponse/Location/legacydata/streetname' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getLocationsByURIResponse/Locations/status/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'provisionLocationResponse/LocationStatus/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addLocationResponse/Location/plusfour' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getURIsResponse/URIs/uris/callername' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addLocation/location/locationid' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationHistoryByURIResponse/ProvisionedLocations/legacydata/streetname' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationByURIResponse/Location/callername' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationByURIResponse/Location/customerorderid' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'provisionLocation' => 'Net::DashCS::Elements::provisionLocation',
               'addLocation/location/longitude' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'addLocation/location/latitude' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'validateLocationResponse/Location' => 'Net::DashCS::Types::location',
               'addLocationResponse/Location/status/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'validateLocationResponse/Location/postalcode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationHistoryByURIResponse/ProvisionedLocations/comments' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addLocation/uri' => 'Net::DashCS::Types::uri',
               'validateLocationResponse/Location/address2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'validateLocation/location/community' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationByURIResponse/Location/longitude' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getProvisionedLocationHistoryByURIResponse/ProvisionedLocations/address1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addLocation/location/status/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationHistoryByURIResponse/ProvisionedLocations/activatedtime' => 'SOAP::WSDL::XSD::Typelib::Builtin::dateTime',
               'ProvisionException' => 'Net::DashCS::Elements::ProvisionException',
               'getProvisionedLocationByURIResponse/Location/legacydata/suite' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addLocationResponse/Location/legacydata/housenumber' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'validateLocationResponse/Location/community' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'validateLocation/location/status/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getLocationsByURIResponse/Locations/activatedtime' => 'SOAP::WSDL::XSD::Typelib::Builtin::dateTime',
               'removeURI' => 'Net::DashCS::Elements::removeURI',
               'validateLocationResponse/Location/legacydata/housenumber' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getLocationsByURIResponse/Locations/address2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationHistoryByURIResponse/ProvisionedLocations/plusfour' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addLocationResponse/Location/address2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addLocationResponse/Location/activatedtime' => 'SOAP::WSDL::XSD::Typelib::Builtin::dateTime',
               'addLocation/uri/uri' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getLocationsByURIResponse/Locations/callername' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'validateLocation/location/plusfour' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getLocationsByURIResponse/Locations/type' => 'Net::DashCS::Types::locationType',
               'getAuthenticationCheck' => 'Net::DashCS::Elements::getAuthenticationCheck',
               'getProvisionedLocationByURIResponse/Location/legacydata/predirectional' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getLocationsByURIResponse/Locations/plusfour' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getProvisionedLocationHistoryByURIResponse/ProvisionedLocations/address2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'addLocationResponse/Location/legacydata' => 'Net::DashCS::Types::legacyLocationData',
               'addLocationResponse/Location/status' => 'Net::DashCS::Types::locationStatus',
               'addLocationResponse/Location/legacydata/streetname' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'validateLocationResponse/Location/legacydata/predirectional' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getLocationsByURIResponse/Locations/updatetime' => 'SOAP::WSDL::XSD::Typelib::Builtin::dateTime',
               'addLocation/location/status' => 'Net::DashCS::Types::locationStatus',
               'validateLocationResponse/Location/activatedtime' => 'SOAP::WSDL::XSD::Typelib::Builtin::dateTime',
               'getLocationsByURIResponse/Locations/legacydata/housenumber' => 'SOAP::WSDL::XSD::Typelib::Builtin::string'
             };
;

sub get_class {
  my $name = join '/', @{ $_[1] };
  return $typemap_1->{ $name };
}

sub get_typemap {
    return $typemap_1;
}

1;

__END__

__END__

=pod

=head1 NAME

Net::DashCS::Typemaps::EmergencyProvisioningService - typemap for EmergencyProvisioningService

=head1 DESCRIPTION

Typemap created by SOAP::WSDL for map-based SOAP message parsers.

=cut

